Gecode::Int::NoOverlap::FlexDim Class Reference

Dimension combining coordinate and integer view size information. More...

`#include <no-overlap.hh>`

## Public Member Functions

| FlexDim (void)
| Default constructor.
| FlexDim (IntView c0, IntView s, IntView c1)
| Constructor.
int | ssc (void) const
| Return smallest start coordinate.
int | lsc (void) const
| Return largest start coordinate.
int | sec (void) const
| Return smallest end coordinate.
int | lec (void) const
| Return largest end coordinate.
ExecStatus | nooverlap (Space &home, FlexDim &d)
| Dimension must not overlap with d.
void | update (Space &home, FlexDim &d)
| Update dimension during cloning.
void | subscribe (Space &home, Propagator &p)
| Subscribe propagator p to dimension.
void | cancel (Space &home, Propagator &p)
| Cancel propagator p from dimension.
void | reschedule (Space &home, Propagator &p)
| Schedule propagator p.

## Protected Member Functions

ExecStatus | ssc (Space &home, int n)
| Modify smallest start coordinate.
ExecStatus | lec (Space &home, int n)
| Modify largest end coordinate.
ExecStatus | nooverlap (Space &home, int n, int m)
| Dimension must not overlap with coordinates n to m.

## Protected Attributes

IntView | c0
| Start coordinate.
IntView | s
| Size.
IntView | c1
| End coordinate.

## Detailed Description

Dimension combining coordinate and integer view size information.

Definition at line 93 of file no-overlap.hh.

## Constructor & Destructor Documentation

## FlexDim() [1/2]

Gecode::Int::NoOverlap::FlexDim::FlexDim | ( | void |  | ) |

inline

Default constructor.

Definition at line 119 of file dim.hpp.

## FlexDim() [2/2]

Gecode::Int::NoOverlap::FlexDim::FlexDim | ( | IntView | c0,
|  | IntView | s,
|  | IntView | c1 )

inline

Constructor.

Definition at line 121 of file dim.hpp.

## Member Function Documentation

## ssc() [1/2]

ExecStatus Gecode::Int::NoOverlap::FlexDim::ssc | ( | Space & | home,
|  | int | n )

inline protected

Modify smallest start coordinate.

Definition at line 142 of file dim.hpp.

## lec() [1/2]

ExecStatus Gecode::Int::NoOverlap::FlexDim::lec | ( | Space & | home,
|  | int | n )

inline protected

Modify largest end coordinate.

Definition at line 147 of file dim.hpp.

## nooverlap() [1/2]

ExecStatus Gecode::Int::NoOverlap::FlexDim::nooverlap | ( | Space & | home,
|  | int | n,
|  | int | m )

inline protected

Dimension must not overlap with coordinates n to m.

Definition at line 152 of file dim.hpp.

## ssc() [2/2]

int Gecode::Int::NoOverlap::FlexDim::ssc | ( | void |  | ) | const

inline

Return smallest start coordinate.

Definition at line 125 of file dim.hpp.

## lsc()

int Gecode::Int::NoOverlap::FlexDim::lsc | ( | void |  | ) | const

inline

Return largest start coordinate.

Definition at line 129 of file dim.hpp.

## sec()

int Gecode::Int::NoOverlap::FlexDim::sec | ( | void |  | ) | const

inline

Return smallest end coordinate.

Definition at line 133 of file dim.hpp.

## lec() [2/2]

int Gecode::Int::NoOverlap::FlexDim::lec | ( | void |  | ) | const

inline

Return largest end coordinate.

Definition at line 137 of file dim.hpp.

## nooverlap() [2/2]

ExecStatus Gecode::Int::NoOverlap::FlexDim::nooverlap | ( | Space & | home,
|  | FlexDim & | d )

inline

Dimension must not overlap with d.

Definition at line 162 of file dim.hpp.

## update()

void Gecode::Int::NoOverlap::FlexDim::update | ( | Space & | home,
|  | FlexDim & | d )

inline

Update dimension during cloning.

Definition at line 175 of file dim.hpp.

## subscribe()

void Gecode::Int::NoOverlap::FlexDim::subscribe | ( | Space & | home,
|  | Propagator & | p )

inline

Subscribe propagator p to dimension.

Definition at line 182 of file dim.hpp.

## cancel()

void Gecode::Int::NoOverlap::FlexDim::cancel | ( | Space & | home,
|  | Propagator & | p )

inline

Cancel propagator p from dimension.

Definition at line 188 of file dim.hpp.

## reschedule()

void Gecode::Int::NoOverlap::FlexDim::reschedule | ( | Space & | home,
|  | Propagator & | p )

inline

Schedule propagator p.

Definition at line 194 of file dim.hpp.

## Member Data Documentation

## c0

IntView Gecode::Int::NoOverlap::FlexDim::c0

protected

Start coordinate.

Definition at line 96 of file no-overlap.hh.

## s

IntView Gecode::Int::NoOverlap::FlexDim::s

protected

Size.

Definition at line 98 of file no-overlap.hh.

## c1

IntView Gecode::Int::NoOverlap::FlexDim::c1

protected

End coordinate.

Definition at line 100 of file no-overlap.hh.

The documentation for this class was generated from the following files:

- gecode/int/no-overlap.hh
- gecode/int/no-overlap/dim.hpp